/Users/bernard/b20/bsoft/include/mol_alpha.h(3)

NAME
/Users/bernard/b20/bsoft/include/mol_alpha.h - Header for functions to make and analyze alpha helices.

SYNOPSIS

#include 'rwmolecule.h'

  Functions
Bmolgroup * molgroup_generate_alpha_helix (int length)
Generates an alpha helix of the desired length.
Bmolecule * mol_generate_alpha_helix (int length)
Generates an alpha helix of the desired length.
int molgroup_set_alpha_helix (Bmolgroup *molgroup, int helix_start, int helix_end)
Sets a residue range to an alpha helix in all molecules.
int molgroup_find_helical_axes (Bmolgroup *molgroup)
Calculates the centers and orientations of all alpha helices.
Vector3< double > alpha_find_center (Bresidue *resfirst, Bresidue *reslast)
Calculates the center of an alpha helix.
Vector3< double > alpha_find_orientation (Bresidue *resfirst, Bresidue *reslast)
Calculates the orientation of an alpha helix.
Vector3< double > mol_find_alpha_orientation (Bmolecule *mol, int set_std)
Calculates the orientation of an alpha helix.
Vector3< double > point_on_helix_axis (Vector3< double > ca1, Vector3< double > ca2, Vector3< double > ca3)
Calculates a point on an alpha helix corresponding to a Ca atom.
Bmolgroup * molgroup_consolidate_alpha (Bmolgroup *molgroup)
Cluster a set of alpha helices to consolidate helices.

Detailed Description

Header for functions to make and analyze alpha helices.

Author:
    Bernard Heymann

Date:
    Created: 20050315

    Modified: 20060121

Definition in file mol_alpha.h.

Function Documentation

  Vector3<double> alpha_find_center (Bresidue * resfirst, Bresidue * reslast)

Calculates the center of an alpha helix.

Parameters:
    *resfirst first residue in helix.
    *reslast last residue in helix.

Returns:
    Vector3<double> center.

Definition at line 179 of file mol_alpha.cpp.

  Vector3<double> alpha_find_orientation (Bresidue * resfirst, Bresidue * reslast)

Calculates the orientation of an alpha helix.

Parameters:
    *resfirst first residue in helix.
    *reslast last residue in helix.

Returns:
    Vector3<double> axis.

Definition at line 208 of file mol_alpha.cpp.

  Vector3<double> mol_find_alpha_orientation (Bmolecule * mol, int set_std)

Calculates the orientation of an alpha helix.

Parameters:
    *mol molecule.
    set_std rotate and shift to a standard orientation.

Returns:
    Vector3<double> axis.

Definition at line 249 of file mol_alpha.cpp.

  Bmolecule* mol_generate_alpha_helix (int length)

Generates an alpha helix of the desired length.

Parameters:
    length number of alanines to generate.

Returns:
    int 0.

Definition at line 68 of file mol_alpha.cpp.

  Bmolgroup* molgroup_consolidate_alpha (Bmolgroup * molgroup)

Cluster a set of alpha helices to consolidate helices.

Parameters:
    *molgroup molecule group with alpha helices (deallocated).

Returns:
    Bmolgroup* new molecule group.

Definition at line 382 of file mol_alpha.cpp.

  int molgroup_find_helical_axes (Bmolgroup * molgroup)

Calculates the centers and orientations of all alpha helices.

Parameters:
    *molgroup molecule group.

Returns:
    int 0.

Definition at line 147 of file mol_alpha.cpp.

  Bmolgroup* molgroup_generate_alpha_helix (int length)

Generates an alpha helix of the desired length.

Parameters:
    length number of alanines to generate.

Returns:
    int 0.

Definition at line 54 of file mol_alpha.cpp.

  int molgroup_set_alpha_helix (Bmolgroup * molgroup, int helix_start, int helix_end)

Sets a residue range to an alpha helix in all molecules.

Parameters:
    *molgroup molecule group.
    helix_start first residue in helix.
    helix_end last residue in helix.

Returns:
    int 0.

Definition at line 117 of file mol_alpha.cpp.

  Vector3<double> point_on_helix_axis (Vector3< double > ca1, Vector3< double > ca2, Vector3< double > ca3)

Calculates a point on an alpha helix corresponding to a Ca atom.

The point on the alpha helix corresponding to the second Ca atom is returned.

Parameters:
    ca1 first Ca atom.
    ca2 second Ca atom.
    ca3 third Ca atom.

Returns:
    Vector3<double> point on alpha helix.

Definition at line 349 of file mol_alpha.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.